
QGIS Application - Bug report #14794

Text in svg misaligned in 2.14 composer

2016-05-09 09:58 AM - David Strausz

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.14.0 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22751

Description

Starting in version 2.14, an svg that was correctly rendering in previous versions, is now rendering with misplaced text in composer.

I attach a copy of the svg experiencing this issue - NauticalRoseSJ.svg.

This svg was created in Inkscape and saved as a standard svg.  It has been working fine in earlier QGIS versions.

I also attach a pdf showing bitmap images of the correct and version 2.14 renderings - QGIS214Render.pdf

Note that the misplaced text is only the text that has been rotated around the rings in the compass rose.  The other text seems to be

placed as expected.

I noticed this on first upgrading to 2.14.0, and it still persists in current version installed (2.14.2).

Thanks for checking this out.

David Strausz

Associated revisions

Revision 2265115f - 2016-06-08 10:46 AM - Nyall Dawson

Fix issues rendering SVG with text (fix #14644, #14794)

Revision 482140bf - 2016-07-01 12:29 AM - Nyall Dawson

Fix issues rendering SVG with text (fix #14644, #14794)

(cherry-picked from 2265115f8003857e538f07287c1337fed463a39c)

History

#1 - 2016-06-08 01:47 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"2265115f8003857e538f07287c1337fed463a39c".

2025-12-21 1/2



Files

QGIS214Render.pdf 63.1 KB 2016-05-09 David Strausz

NauticalRoseSJ.svg 66 KB 2016-05-09 David Strausz
